module_reset_pyocd.py
Go to the documentation of this file.
"""
mbed SDK
Copyright (c) 2016-2016,2018 ARM Limited
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
Author: Russ Butler <russ.butler@arm.com>
"""
from .host_test_plugins import HostTestPluginBase
from pyocd.core.helpers import ConnectHelper
class HostTestPluginResetMethod_pyOCD(HostTestPluginBase):
# Plugin interface
name = 'HostTestPluginResetMethod_pyOCD'
type = 'ResetMethod'
stable = True
capabilities = ['pyocd']
required_parameters = ['target_id']
def __init__(self):
"""! ctor
@details We can check module version by referring to version attribute
import pkg_resources
print pkg_resources.require("mbed-host-tests")[0].version
'2.7'
"""
HostTestPluginBase.__init__(self)
def setup(self, *args, **kwargs):
"""! Configure plugin, this function should be called before plugin execute() method is used.
"""
return True
def execute(self, capability, *args, **kwargs):
"""! Executes capability by name
@param capability Capability name
@param args Additional arguments
@param kwargs Additional arguments
@details Each capability e.g. may directly just call some command line program or execute building pythonic function
@return Capability call return value
"""
if not kwargs['target_id']:
self.print_plugin_error("Error: target_id not set")
return False
result = False
if self.check_parameters(capability, *args, **kwargs) is True:
if kwargs['target_id']:
if capability == 'pyocd':
target_id = kwargs['target_id']
with ConnectHelper.session_with_chosen_probe(unique_id=target_id,
resume_on_disconnect=False) as session:
session.target.reset()
session.target.resume()
result = True
return result
def load_plugin():
"""! Returns plugin available in this module
"""
return HostTestPluginResetMethod_pyOCD()
mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase
Base class for all plugins used with host tests.
Definition host_test_plugins.py:32
mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.print_plugin_error
print_plugin_error(self, text)
Interface helper methods - overload only if you need to have custom behaviour.
Definition host_test_plugins.py:93
mbed_host_tests.host_tests_plugins.host_test_plugins.HostTestPluginBase.check_parameters
check_parameters(self, capability, *args, **kwargs)
This function should be ran each time we call execute() to check if none of the required parameters i...
Definition host_test_plugins.py:211
mbed_host_tests.host_tests_plugins.module_reset_pyocd.HostTestPluginResetMethod_pyOCD
Definition module_reset_pyocd.py:24
mbed_host_tests.host_tests_plugins.module_reset_pyocd.HostTestPluginResetMethod_pyOCD.__init__
__init__(self)
ctor
Definition module_reset_pyocd.py:33
mbed_host_tests.host_tests_plugins.module_reset_pyocd.HostTestPluginResetMethod_pyOCD.execute
execute(self, capability, *args, **kwargs)
Executes capability by name.
Definition module_reset_pyocd.py:47
mbed_host_tests.host_tests_plugins.module_reset_pyocd.HostTestPluginResetMethod_pyOCD.setup
setup(self, *args, **kwargs)
Configure plugin, this function should be called before plugin execute() method is used.
Definition module_reset_pyocd.py:42
mbed_host_tests.host_tests_plugins.module_reset_pyocd.load_plugin
load_plugin()
Returns plugin available in this module.
Definition module_reset_pyocd.py:73